<?php

namespace App\Http\Controllers\Api\V1\Client\Profile;

use App\Http\Controllers\Controller;
use App\Services\ModalIndexQuey;
use App\Traits\Formatter;

class CoinLogController extends Controller
{
    use Formatter;

    public function __invoke()
    {
        /**
         * @var \App\Models\User $user
         */
        $user = auth('client')->user();

        $logs = ModalIndexQuey::get($user->coinLogs());

        return $this->withSuccess($logs);
    }
}
